var qtdeMostrada = -qtdeCarregar;

function carregarDadosLojaPerfeita() {
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;
	
	//a pressa nos obriga a esses cocos
	if (document.getElementById('tabelarellojaperfeita').childNodes[3].innerHTML.indexOf("background-color: green") > 0) {
		return;
	}
	
	$('#colmostarporlojaperfeita').text($('#vendasmostrarpor').val());
	$('#divtabelalojaperfeita').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('lojaperfeita/rellojaperfeita.php',
		{
			gerente: $('#filtrogerentelp').val(),
			supervisor: $('#filtrosupervisorlp').val(),
			vendedor: $('#filtrovendedorlp').val(),
			segmento: $('#filtrosegmentolp').val(),
			cliente: $('#codfiltroclientelp').val(),
			dataini: $('#datainilojaperfeita').val(),
			datafin: $('#datafinlojaperfeita').val(),
			lojaperfeita: $('#lojaperfeitalp').val(), 
			inicio: qtdeMostrada,
			qtde: qtdeCarregar
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarellojaperfeita').childNodes[3].innerHTML += data;
				$("#tabelarellojaperfeita").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrellojaperfeita").click();
			}
		}
	);
	$('#divtabelalojaperfeita').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopLojaPerfeita);
}

function scrollStopLojaPerfeita() {
	checkScroll(carregarDadosLojaPerfeita, "rellojaperfeita"); //checkScroll em dadosJS.js
}
$.mobile.document
	
	.on('click', '#botaovisualizarlojaperfeita', function() {
		qtdeMostrada = -qtdeCarregar;
		carregarDadosLojaPerfeita();
	})
	
	.on('click', '#voltarrellojaperfeita', function(){
		$("#tabelarellojaperfeita tbody tr").remove();
	})
	
	.on('pageshow', '#rellojaperfeita', function() {
		$(document).on('scrollstop', scrollStopLojaPerfeita);		
	})
	
	.on('pagebeforecreate', '#lojaperfeita', function() {
		geraLkp($("#filtrogerentelp"), 'lookups/lkpgerentes.php');
		geraLkp($("#filtrosupervisorlp"), 'lookups/lkpsupervisores.php');
		geraLkp($("#filtrovendedorlp"), 'lookups/lkpvendedores.php');
		geraLkp($("#filtrosegmentolp"), 'lookups/lkpsegmento.php');
		geraAutocomplete('#autocomplete-filtroclientelp', 'lookups/lkpclientes.php', '#filtroclientelp', '#codfiltroclientelp');	
		lkpRotas();
	})
	